#!/bin/bash            
### System Logout Hook by Curby
### v1.00.04, 2004-02-07


# This script is run after a successful user logout. 
# Install this script by copying it to /Library/Hooks/logouthook.sh and executing:
# sudo defaults write com.apple.loginwindow LogoutHook /Library/Hooks/logouthook.sh



# Sources common hook functions
. /Library/Hooks/hookcommon.sh

LogLine "System Logout Hook {"

# Take care of user's hook, if one exists
USERHOOK="/Users/$1/Library/Hooks/`basename $0`"
if [ -x "$USERHOOK" ]; then
  LogLine "Calling $1's hook: $USERHOOK"
  exec su - -f "$1" -c "$USERHOOK" "$1" "$HOOK_INDENT"
else
  LogLine "Skipping $1's hook (missing or not executable)"
fi

# Do system hook stuff after user hook stuff

NUMUSERS=`ps -axo 'user,command' | grep loginwindow | grep -v grep | grep -c '^'`
if [ $NUMUSERS -gt 1 ]; then
  LogLine "$NUMUSERS Users logged in.  Volume unchanged"
else
  LogLine "Muting system volume"
  osascript -e 'set volume 0'
fi

LogLine '}'

exit 0
